//+------------------------------------------------------------------+
//|                                                  Extreme_SSA.mq4 |
//|                                                   Author: Sidric |
//|                            Arrows appear on cross of zeroline of |
//|                                      SSA normalized with flat.mq4|
//+------------------------------------------------------------------+

#property indicator_chart_window
#property indicator_buffers 2
#property indicator_width1 1
#property indicator_width2 1
#property indicator_color1 Blue
#property indicator_color2 Red
double buff1[];
double buff2[];
int ctbr=0;
int bar;
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
   int  draw;
   SetIndexStyle(0,DRAW_ARROW);
   SetIndexArrow(0,233);
   SetIndexStyle(1,DRAW_ARROW);
   SetIndexArrow(1,234);
   SetIndexEmptyValue(0,0.0);
   SetIndexLabel(0,"buy");
   SetIndexLabel(1,"sell");
   SetIndexDrawBegin(0,draw);
   SetIndexDrawBegin(1,draw);
   SetIndexBuffer(0,buff1);
   SetIndexBuffer(1,buff2);
   return(0);
  }
//+------------------------------------------------------------------+
int deinit()
  {
   ObjectsDeleteAll(0,OBJ_ARROW);
   return(0);
  }
//+------------------------------------------------------------------+
int start()
  {
   if (bar==Time[0]) return(0);
   ctbr=IndicatorCounted();
   int x;
   if(Bars<=900) return(0);
   if (ctbr<0) return(-1);
   if (ctbr>0) ctbr--;
   x=Bars-ctbr;
   for(int i=0; i<x; i++)
   {
    double r1 = iCustom(NULL,0,"SSA normalized with flat",0,i);
    double r2 = iCustom(NULL,0,"SSA normalized with flat",0,i+1);
     if (r1>0 && r2<0)
      buff1[i] = Low[i+1]-150*Point;
     bar=Time[0]; 
     if (r1<0 && r2>0)
      buff2[i] = High[i+1]+150*Point;
     bar=Time[0]; 
   } 

   return(0);
  }
//+------------------------------------------------------------------+